Skip to main content
This page has been deprecated and is no longer maintained.Refer to the introduction for up-to-date pagination information.
Endpoints which return a list of objects use pagination. Pagination allows a connection to request a part of the list, receiving an array of results and a next_cursor in the response. The connection can use the next_cursor in another request to receive the next part of the list. Using this technique, the connection can continue to make requests to receive the whole list (or just the parts the connection needs).

Requests

Each paginated endpoint accepts the following request parameters:
Parameter location varies by endpointFor endpoints using the HTTP GET method, these parameters are accepted in the request query string. For endpoints using the HTTP POST method, these parameters are accepted in the request body.

Responses

Responses from paginated endpoints contain the following properties:

Pagination Type Object

Responses from paginated endpoints have keys corresponding to the value of type. Under the key is an object with type-specific pagination information. "block", "page", "user", "database" and "page_or_database" pagination type objects are empty objects. See Property item object endpoint for a description of "property_item" pagination type object.

Paginated endpoints

Query a data source

List databases

Retrieve a page property item

Retrieve block children

List all users

List views

Create a view query

Get view query results

Search